org.apache.ignite.ml.preprocessing

## Interface PreprocessingTrainer<K,V>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `V` - Type of a value in `upstream` data.
  All Known Implementing Classes:
    BinarizationTrainer, EncoderTrainer, ImputerTrainer, MaxAbsScalerTrainer, MinMaxScalerTrainer, NormalizationTrainer, StandardScalerTrainer, VectorFinalizationTrainer

      public interface PreprocessingTrainer<K,V>

  Trainer for preprocessor.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default Preprocessor<K,V>` | `fit(DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.
    `default Preprocessor<K,V>` | `fit(Ignite ignite, IgniteCache<K,V> cache, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.
    `Preprocessor<K,V>` | `fit(LearningEnvironmentBuilder envBuilder, DatasetBuilder<K,V> datasetBuilder, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.
    `default Preprocessor<K,V>` | `fit(LearningEnvironmentBuilder envBuilder, Ignite ignite, IgniteCache<K,V> cache, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.
    `default Preprocessor<K,V>` | `fit(LearningEnvironmentBuilder envBuilder, Map<K,V> data, int parts, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.
    `default Preprocessor<K,V>` | `fit(Map<K,V> data, int parts, Preprocessor<K,V> basePreprocessor)` Fits preprocessor.
    `default LearningEnvironment` | `learningEnvironment(Preprocessor<K,V> basePreprocessor)` Returns local learning environment with initialized deploying context by base preprocessor.

- - ### Method Detail

    - #### fit

          Preprocessor<K,V> fit(LearningEnvironmentBuilder envBuilder,
                                DatasetBuilder<K,V> datasetBuilder,
                                Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Parameters:
        `envBuilder` - Learning environment builder.
        `datasetBuilder` - Dataset builder.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

    - #### fit

          default Preprocessor<K,V> fit(DatasetBuilder<K,V> datasetBuilder,
                                        Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Parameters:
        `datasetBuilder` - Dataset builder.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

    - #### fit

          default Preprocessor<K,V> fit(Ignite ignite,
                                        IgniteCache<K,V> cache,
                                        Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Parameters:
        `ignite` - Ignite instance.
        `cache` - Ignite cache.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

    - #### fit

          default Preprocessor<K,V> fit(LearningEnvironmentBuilder envBuilder,
                                        Ignite ignite,
                                        IgniteCache<K,V> cache,
                                        Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Parameters:
        `envBuilder` - Learning environment builder.
        `ignite` - Ignite instance.
        `cache` - Ignite cache.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

    - #### fit

          default Preprocessor<K,V> fit(LearningEnvironmentBuilder envBuilder,
                                        Map<K,V> data,
                                        int parts,
                                        Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Parameters:
        `data` - Data.
        `parts` - Number of partitions.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

    - #### fit

          default Preprocessor<K,V> fit(Map<K,V> data,
                                        int parts,
                                        Preprocessor<K,V> basePreprocessor)

      Fits preprocessor.
      Parameters:
        `data` - Data.
        `parts` - Number of partitions.
        `basePreprocessor` - Base preprocessor.
      Returns:
        Preprocessor.

    - #### learningEnvironment

          default LearningEnvironment learningEnvironment(Preprocessor<K,V> basePreprocessor)

      Returns local learning environment with initialized deploying context by base preprocessor.
      Parameters:
        `basePreprocessor` - Preprocessor.
      Returns:
        Learning environment.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.0
Release Date | : October 15 2020